import { act, render, screen } from '@testing-library/react'
import { userEvent } from '@testing-library/user-event'
import React from 'react'
import EcogestureLaunchFormModal from './EcogestureLaunchFormModal'

const mockHandleClose = jest.fn()
describe('EcogestureLaunchFormModal component', () => {
  it('should be rendered correctly', () => {
    const { baseElement } = render(
      <EcogestureLaunchFormModal
        open={true}
        handleCloseClick={mockHandleClose}
      />
    )
    expect(baseElement).toMatchSnapshot()
  })
  it('should close modal', async () => {
    render(
      <EcogestureLaunchFormModal
        open={true}
        handleCloseClick={mockHandleClose}
      />
    )
    await act(async () => {
      await userEvent.click(screen.getByText('ecogesture.initModal.btn2'))
    })
    expect(mockHandleClose).toHaveBeenCalledTimes(1)
  })
})
